net.sf.jasperreports.engine.export

## Class DefaultHyperlinkTargetProducerFactory

- java.lang.Object
- - net.sf.jasperreports.engine.export.JRHyperlinkTargetProducerFactory
  - - net.sf.jasperreports.engine.export.DefaultHyperlinkTargetProducerFactory

-     public class DefaultHyperlinkTargetProducerFactory
      extends JRHyperlinkTargetProducerFactory

  Extension-based hyperlink target producer factory implementation.

  Version:
    $Id: DefaultHyperlinkTargetProducerFactory.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHyperlinkTargetProducerFactory()` Deprecated. Replaced by `DefaultHyperlinkTargetProducerFactory(JasperReportsContext)`.
    `DefaultHyperlinkTargetProducerFactory(JasperReportsContext jasperReportsContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRHyperlinkTargetProducer` | `getHyperlinkTargetProducer(java.lang.String linkTarget)` Returns the hyperlink target producer associated with a specific hyperlink target.

    - ### Methods inherited from class net.sf.jasperreports.engine.export.JRHyperlinkTargetProducerFactory

      `produceHyperlinkTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultHyperlinkTargetProducerFactory

          public DefaultHyperlinkTargetProducerFactory()

      Deprecated. Replaced by `DefaultHyperlinkTargetProducerFactory(JasperReportsContext)`.

    - #### DefaultHyperlinkTargetProducerFactory

          public DefaultHyperlinkTargetProducerFactory(JasperReportsContext jasperReportsContext)

  - ### Method Detail

    - #### getHyperlinkTargetProducer

          public JRHyperlinkTargetProducer getHyperlinkTargetProducer(java.lang.String linkTarget)

      Description copied from class: `JRHyperlinkTargetProducerFactory`
      Returns the hyperlink target producer associated with a specific hyperlink target.
      Specified by:
        `getHyperlinkTargetProducer` in class `JRHyperlinkTargetProducerFactory`
      Parameters:
        `linkTarget` - the hyperlink target
      Returns:
        an associated hyperlink target producer, or `null` when none associated

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com